This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 853853

Summary: [virtio-win][serial]Windows 7 Guest BSOD - SYSTEM_SERVICE_EXCEPTION - stop 0x0000003b
Product: Red Hat Enterprise Linux 6 Reporter: Grant Williamson <grant_williamson>
Component: virtio-winAssignee: Gal Hammer <ghammer>
Status: CLOSED CURRENTRELEASE QA Contact: Virtualization Bugs <virt-bugs>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 6.3CC: acathrow, bcao, bsarathy, chayang, dyasny, flang, juzhang, michen, ngalvin, qiguo, rhod, tburke, walicki, yvugenfi
Target Milestone: rcKeywords: OtherQA
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: virtio-win-prewhql-0.1-53 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-11 04:03:36 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
vdservice log when it has crashed.
none
vdagent.log when it crashed
none
Windows Mini Dump
none
Libvirt configuration
none
Screenshot of logon window.
none
Windows Mini Dump BAD_POOL_CALLER
none
SOS Report BSOD.
none
SOS report 11 September
none
Windows Mini Dump 11 September
none
BSOD
none
BSOD Screenshot
none
the dump file for BSOD
none
BSOD on vioser.sys
none
dump file of BSOD WIN7 of chayang none

Description Grant Williamson 2012-09-03 03:12:20 EDT
Description of problem:
Sometimes shutting down Windows 7 64 bit guest ends in BSOD - SYSTEM_SERVICE_EXCEPTION
pointing to vioser.sys

Version-Release number of selected component (if applicable):
RHEL 6.3
qemu-kvm-0.12.1.2-2.295.el6_3.1.x86_64
kernel-2.6.32-279.5.2.el6.x86_64

Drivers
balloon(balloon.inf)	04/15/2012,52.63.103.2600
netkvm(netkvm.inf)	04/20/2012,60.63.103.2700
qxl(qxl.inf)	10/05/2011,5.1.0.10012
viostor(viostor.inf)	04/15/2012,60.63.103.2600
virtio-serial(vioser.inf)	07/03/2012,52.63.103.3000


MiniDump :-

AA)
fffff880`0457b000 fffff880`0457c480   swenum    Mon Jul 13 20:00:18 2009 (4A5BCA
92)
fffff880`0457d000 fffff880`045c0000   ks        Sat Nov 20 05:33:23 2010 (4CE7A3
F3)
fffff880`045c0000 fffff880`045cc400   spiceusbdbus  Thu Dec 17 05:25:08 2009 (4B
2A0704)
fffff880`045cd000 fffff880`045df000   umbus     Sat Nov 20 05:44:37 2010 (4CE7A6
95)
fffff880`045df000 fffff880`04600000   WudfPf    Sat Nov 20 05:42:44 2010 (4CE7A6
24)
fffff880`04677000 fffff880`0471d000   peauth    Mon Jul 13 21:01:19 2009 (4A5BD8
DF)
fffff880`0471d000 fffff880`04728000   secdrv    Wed Sep 13 09:18:38 2006 (450805
2E)
fffff880`04728000 fffff880`04731c80   spicepnptls  Thu Dec 17 05:25:06 2009 (4B2
A0702)
fffff880`04732000 fffff880`04763000   srvnet    Thu Apr 28 23:05:35 2011 (4DBA2A
FF)
fffff880`04763000 fffff880`04775000   tcpipreg  Sat Nov 20 05:51:48 2010 (4CE7A8
44)
fffff880`04775000 fffff880`047de000   srv2      Thu Apr 28 23:05:46 2011 (4DBA2B
0A)
fffff880`04800000 fffff880`04822000   drmk      Mon Jul 13 21:01:25 2009 (4A5BD8
E5)
fffff880`04822000 fffff880`04827200   ksthunk   Mon Jul 13 20:00:19 2009 (4A5BCA
93)
fffff880`04828000 fffff880`04836000   crashdmp  Mon Jul 13 20:01:01 2009 (4A5BCA
BD)
fffff880`04836000 fffff880`04840000   dump_diskdump  Fri Apr 22 16:04:32 2011 (4
DB1DF50)
fffff880`04840000 fffff880`0484c000   dump_viostor  Sun Apr 15 04:18:29 2012 (4F
8A8455)
fffff880`0484c000 fffff880`04858000   Dxapi     Mon Jul 13 19:38:28 2009 (4A5BC5
74)
fffff880`04858000 fffff880`0486b000   dump_dumpfve  Mon Jul 13 19:21:51 2009 (4A
5BC18F)
fffff880`0486b000 fffff880`04879000   hidusb    Sat Nov 20 05:43:49 2010 (4CE7A6
65)
fffff880`04879000 fffff880`04892000   HIDCLASS  Sat Nov 20 05:43:49 2010 (4CE7A6
65)
fffff880`04892000 fffff880`0489a080   HIDPARSE  Mon Jul 13 20:06:17 2009 (4A5BCB
F9)
fffff880`0489b000 fffff880`0489cf00   USBD      Thu Mar 24 23:28:59 2011 (4D8C0B
FB)
fffff880`0489d000 fffff880`048aa000   mouhid    Mon Jul 13 20:00:20 2009 (4A5BCA
94)
fffff880`048aa000 fffff880`048cd000   luafv     Mon Jul 13 19:26:13 2009 (4A5BC2
95)
fffff880`048d9000 fffff880`04933000   usbhub    Thu Mar 24 23:29:25 2011 (4D8C0C
15)
fffff880`04933000 fffff880`04948000   NDProxy   Sat Nov 20 05:52:20 2010 (4CE7A8
64)
fffff880`04948000 fffff880`049a4000   HdAudio   Sat Nov 20 05:44:23 2010 (4CE7A6
87)
fffff880`049a4000 fffff880`049e1000   portcls   Mon Jul 13 20:06:27 2009 (4A5BCC
03)
fffff880`049e1000 fffff880`049f6000   lltdio    Mon Jul 13 20:08:50 2009 (4A5BCC
92)
fffff880`04e9a000 fffff880`04f32000   srv       Thu Apr 28 23:06:06 2011 (4DBA2B
1E)
fffff880`04f32000 fffff880`04f6d000   WpsHelper  Thu Sep 02 21:15:06 2010 (4C804
C1A)
fffff960`00060000 fffff960`00375000   win32k    Thu Feb 02 23:34:05 2012 (4F2B63
BD)
fffff960`00450000 fffff960`0046e000   dxg       Mon Jul 13 19:38:28 2009 (4A5BC5
74)
fffff960`006a0000 fffff960`006aa000   TSDDD     Mon Jul 13 20:16:34 2009 (4A5BCE
62)
fffff960`008c0000 fffff960`008e7000   qxldd     unavailable (00000000)

Unloaded modules:
fffff880`01630000 fffff880`0163e000   crashdmp.sys
    Timestamp: unavailable (00000000)
    Checksum:  00000000
    ImageSize:  0000E000
fffff880`0163e000 fffff880`01648000   dump_storpor
    Timestamp: unavailable (00000000)
    Checksum:  00000000
    ImageSize:  0000A000
fffff880`01648000 fffff880`01654000   dump_viostor
    Timestamp: unavailable (00000000)
    Checksum:  00000000
    ImageSize:  0000C000
fffff880`01654000 fffff880`01667000   dump_dumpfve
    Timestamp: unavailable (00000000)
    Checksum:  00000000
    ImageSize:  00013000
*******************************************************************************
*                                                                             *
*                        Bugcheck Analysis                                    *
*                                                                             *
*******************************************************************************

Use !analyze -v to get detailed debugging information.

BugCheck 3B, {c0000005, fffff8800346c824, fffff88001fc8da0, 0}

***** Kernel symbols are WRONG. Please fix symbols to do analysis.

*************************************************************************
***                                                                   ***
***                                                                   ***
***    Either you specified an unqualified symbol, or your debugger   ***
***    doesn't have full symbol information.  Unqualified symbol      ***
***    resolution is turned off by default. Please either specify a   ***
***    fully qualified symbol module!symbolname, or enable resolution ***
***    of unqualified symbols by typing ".symopt- 100". Note that   ***
***    enabling unqualified symbol resolution with network symbol     ***
***    server shares in the symbol path may cause the debugger to     ***
***    appear to hang for long periods of time when an incorrect      ***
***    symbol name is typed or the network symbol server is down.     ***
***                                                                   ***
***    For some commands to work properly, your symbol path           ***
***    must point to .pdb files that have full type information.      ***
***                                                                   ***
***    Certain .pdb files (such as the public OS symbols) do not      ***
***    contain the required information.  Contact the group that      ***
***    provided you with these symbols if you need this command to    ***
***    work.                                                          ***
***                                                                   ***
***    Type referenced: nt!_KPRCB                                     ***
***                                                                   ***
*************************************************************************
*************************************************************************
***                                                                   ***
***                                                                   ***
***    Either you specified an unqualified symbol, or your debugger   ***
***    doesn't have full symbol information.  Unqualified symbol      ***
***    resolution is turned off by default. Please either specify a   ***
***    fully qualified symbol module!symbolname, or enable resolution ***
***    of unqualified symbols by typing ".symopt- 100". Note that   ***
***    enabling unqualified symbol resolution with network symbol     ***
***    server shares in the symbol path may cause the debugger to     ***
***    appear to hang for long periods of time when an incorrect      ***
***    symbol name is typed or the network symbol server is down.     ***
***                                                                   ***
***    For some commands to work properly, your symbol path           ***
***    must point to .pdb files that have full type information.      ***
***                                                                   ***
***    Certain .pdb files (such as the public OS symbols) do not      ***
***    contain the required information.  Contact the group that      ***
***    provided you with these symbols if you need this command to    ***
***    work.                                                          ***
***                                                                   ***
***    Type referenced: nt!KPRCB                                      ***
***                                                                   ***
*************************************************************************
*************************************************************************
***                                                                   ***
***                                                                   ***
***    Either you specified an unqualified symbol, or your debugger   ***
***    doesn't have full symbol information.  Unqualified symbol      ***
***    resolution is turned off by default. Please either specify a   ***
***    fully qualified symbol module!symbolname, or enable resolution ***
***    of unqualified symbols by typing ".symopt- 100". Note that   ***
***    enabling unqualified symbol resolution with network symbol     ***
***    server shares in the symbol path may cause the debugger to     ***
***    appear to hang for long periods of time when an incorrect      ***
***    symbol name is typed or the network symbol server is down.     ***
***                                                                   ***
***    For some commands to work properly, your symbol path           ***
***    must point to .pdb files that have full type information.      ***
***                                                                   ***
***    Certain .pdb files (such as the public OS symbols) do not      ***
***    contain the required information.  Contact the group that      ***
***    provided you with these symbols if you need this command to    ***
***    work.                                                          ***
***                                                                   ***
***    Type referenced: nt!_KPRCB                                     ***
***                                                                   ***
*************************************************************************
*************************************************************************
***                                                                   ***
***                                                                   ***
***    Either you specified an unqualified symbol, or your debugger   ***
***    doesn't have full symbol information.  Unqualified symbol      ***
***    resolution is turned off by default. Please either specify a   ***
***    fully qualified symbol module!symbolname, or enable resolution ***
***    of unqualified symbols by typing ".symopt- 100". Note that   ***
***    enabling unqualified symbol resolution with network symbol     ***
***    server shares in the symbol path may cause the debugger to     ***
***    appear to hang for long periods of time when an incorrect      ***
***    symbol name is typed or the network symbol server is down.     ***
***                                                                   ***
***    For some commands to work properly, your symbol path           ***
***    must point to .pdb files that have full type information.      ***
***                                                                   ***
***    Certain .pdb files (such as the public OS symbols) do not      ***
***    contain the required information.  Contact the group that      ***
***    provided you with these symbols if you need this command to    ***
***    work.                                                          ***
***                                                                   ***
***    Type referenced: nt!KPRCB                                      ***
***                                                                   ***
*************************************************************************
*************************************************************************
***                                                                   ***
***                                                                   ***
***    Either you specified an unqualified symbol, or your debugger   ***
***    doesn't have full symbol information.  Unqualified symbol      ***
***    resolution is turned off by default. Please either specify a   ***
***    fully qualified symbol module!symbolname, or enable resolution ***
***    of unqualified symbols by typing ".symopt- 100". Note that   ***
***    enabling unqualified symbol resolution with network symbol     ***
***    server shares in the symbol path may cause the debugger to     ***
***    appear to hang for long periods of time when an incorrect      ***
***    symbol name is typed or the network symbol server is down.     ***
***                                                                   ***
***    For some commands to work properly, your symbol path           ***
***    must point to .pdb files that have full type information.      ***
***                                                                   ***
***    Certain .pdb files (such as the public OS symbols) do not      ***
***    contain the required information.  Contact the group that      ***
***    provided you with these symbols if you need this command to    ***
***    work.                                                          ***
***                                                                   ***
***    Type referenced: nt!_KPRCB                                     ***
***                                                                   ***
*************************************************************************
*************************************************************************
***                                                                   ***
***                                                                   ***
***    Either you specified an unqualified symbol, or your debugger   ***
***    doesn't have full symbol information.  Unqualified symbol      ***
***    resolution is turned off by default. Please either specify a   ***
***    fully qualified symbol module!symbolname, or enable resolution ***
***    of unqualified symbols by typing ".symopt- 100". Note that   ***
***    enabling unqualified symbol resolution with network symbol     ***
***    server shares in the symbol path may cause the debugger to     ***
***    appear to hang for long periods of time when an incorrect      ***
***    symbol name is typed or the network symbol server is down.     ***
***                                                                   ***
***    For some commands to work properly, your symbol path           ***
***    must point to .pdb files that have full type information.      ***
***                                                                   ***
***    Certain .pdb files (such as the public OS symbols) do not      ***
***    contain the required information.  Contact the group that      ***
***    provided you with these symbols if you need this command to    ***
***    work.                                                          ***
***                                                                   ***
***    Type referenced: nt!_KPRCB                                     ***
***                                                                   ***
*************************************************************************
*************************************************************************
***                                                                   ***
***                                                                   ***
***    Either you specified an unqualified symbol, or your debugger   ***
***    doesn't have full symbol information.  Unqualified symbol      ***
***    resolution is turned off by default. Please either specify a   ***
***    fully qualified symbol module!symbolname, or enable resolution ***
***    of unqualified symbols by typing ".symopt- 100". Note that   ***
***    enabling unqualified symbol resolution with network symbol     ***
***    server shares in the symbol path may cause the debugger to     ***
***    appear to hang for long periods of time when an incorrect      ***
***    symbol name is typed or the network symbol server is down.     ***
***                                                                   ***
***    For some commands to work properly, your symbol path           ***
***    must point to .pdb files that have full type information.      ***
***                                                                   ***
***    Certain .pdb files (such as the public OS symbols) do not      ***
***    contain the required information.  Contact the group that      ***
***    provided you with these symbols if you need this command to    ***
***    work.                                                          ***
***                                                                   ***
***    Type referenced: nt!_KPRCB                                     ***
***                                                                   ***
*************************************************************************
*************************************************************************
***                                                                   ***
***                                                                   ***
***    Either you specified an unqualified symbol, or your debugger   ***
***    doesn't have full symbol information.  Unqualified symbol      ***
***    resolution is turned off by default. Please either specify a   ***
***    fully qualified symbol module!symbolname, or enable resolution ***
***    of unqualified symbols by typing ".symopt- 100". Note that   ***
***    enabling unqualified symbol resolution with network symbol     ***
***    server shares in the symbol path may cause the debugger to     ***
***    appear to hang for long periods of time when an incorrect      ***
***    symbol name is typed or the network symbol server is down.     ***
***                                                                   ***
***    For some commands to work properly, your symbol path           ***
***    must point to .pdb files that have full type information.      ***
***                                                                   ***
***    Certain .pdb files (such as the public OS symbols) do not      ***
***    contain the required information.  Contact the group that      ***
***    provided you with these symbols if you need this command to    ***
***    work.                                                          ***
***                                                                   ***
***    Type referenced: nt!_KPRCB                                     ***
***                                                                   ***
*************************************************************************
Probably caused by : vioser.sys ( vioser+4824 )

Followup: MachineOwner
---------

Finished dump check

C:\Program Files (x86)\Windows Kits\8.0\Debuggers\x64>
Comment 1 Grant Williamson 2012-09-03 03:12:41 EDT
Tasklist
C:\Program Files (x86)\Windows Kits\8.0\Debuggers\x64>tasklist

Image Name                     PID Session Name        Session#    Mem Usage
========================= ======== ================ =========== ============
System Idle Process              0 Services                   0         24 K
System                           4 Services                   0        300 K
smss.exe                       244 Services                   0      1,092 K
csrss.exe                      320 Services                   0      4,412 K
wininit.exe                    368 Services                   0      4,420 K
csrss.exe                      384 Console                    1      6,212 K
winlogon.exe                   424 Console                    1      6,784 K
services.exe                   460 Services                   0      8,964 K
lsass.exe                      476 Services                   0     10,344 K
lsm.exe                        484 Services                   0      4,172 K
svchost.exe                    588 Services                   0      8,852 K
vdservice.exe                  648 Services                   0      6,412 K
svchost.exe                    688 Services                   0      8,788 K
svchost.exe                    748 Services                   0     18,176 K
svchost.exe                    840 Services                   0     93,912 K
svchost.exe                    888 Services                   0     35,460 K
svchost.exe                    112 Services                   0     12,184 K
Smc.exe                        536 Services                   0      7,816 K
vdagent.exe                   1032 Console                    1      6,036 K
svchost.exe                   1076 Services                   0     15,844 K
ccSvcHst.exe                  1136 Services                   0      2,460 K
spoolsv.exe                   1236 Services                   0     10,684 K
svchost.exe                   1328 Services                   0     12,288 K
svchost.exe                   1488 Services                   0      9,392 K
c4ebreg.exe                   1524 Services                   0     15,288 K
issimsvc.exe                  1564 Services                   0      4,324 K
netcfgsvr.exe                 1608 Services                   0     10,784 K
NetLogSvc.exe                 1640 Services                   0      4,564 K
Rtvscan.exe                   1688 Services                   0      3,064 K
svchost.exe                   2036 Services                   0      5,284 K
taskhost.exe                  2460 Console                    1      8,308 K
dwm.exe                       2516 Console                    1      4,864 K
explorer.exe                  2536 Console                    1     64,816 K
ccApp.exe                     2708 Console                    1        724 K
isamtray.exe                  2728 Console                    1     10,736 K
SearchIndexer.exe             2940 Services                   0     14,564 K
SmcGui.exe                    2716 Console                    1      6,292 K
ProtectionUtilSurrogate.e     3108 Console                    1     12,692 K
BESClient.exe                 3260 Services                   0      7,960 K
sppsvc.exe                    3340 Services                   0     11,248 K
BESClientUI.exe                792 Console                    1      1,040 K
mscorsvw.exe                   532 Services                   0     10,544 K
mscorsvw.exe                  2544 Services                   0      6,480 K
cmd.exe                        972 Console                    1      3,044 K
conhost.exe                   3776 Console                    1      5,256 K
firefox.exe                    328 Console                    1     63,936 K
cmd.exe                       3440 Console                    1      3,000 K
conhost.exe                   3688 Console                    1      5,448 K
tasklist.exe                  2668 Console                    1      5,428 K
WmiPrvSE.exe                   360 Services                   0      6,036 K
Comment 2 Grant Williamson 2012-09-03 03:13:47 EDT
List of services running.

C:\Program Files (x86)\Windows Kits\8.0\Debuggers\x64>net start
These Windows services are started:

   Application Experience
   Application Information
   AT&T Global Network Client Logging Service
   AT&T Network Configuration Service
   Base Filtering Engine
   BES Client
   COM+ Event System
   Computer Browser
   Cryptographic Services
   DCOM Server Process Launcher
   Desktop Window Manager Session Manager
   DHCP Client
   Diagnostic Policy Service
   Diagnostic Service Host
   Diagnostic System Host
   Distributed Link Tracking Client
   DNS Client
   Function Discovery Resource Publication
   Group Policy Client
   IBM Standard Asset Manager Service
   IKE and AuthIP IPsec Keying Modules
   IP Helper
   IPsec Policy Agent
   ISSI
   Microsoft .NET Framework NGEN v4.0.30319_X64
   Microsoft .NET Framework NGEN v4.0.30319_X86
   Network Connections
   Network List Service
   Network Location Awareness
   Network Store Interface Service
   Offline Files
   Plug and Play
   Power
   Print Spooler
   Program Compatibility Assistant Service
   Remote Access Connection Manager
   Remote Procedure Call (RPC)
   RHEV Spice Agent
   RPC Endpoint Mapper
   Secure Socket Tunneling Protocol Service
   Security Accounts Manager
   Security Center
   Server
   Shell Hardware Detection
   Software Protection
   SPP Notification Service
   Superfetch
   Symantec Endpoint Protection
   Symantec Event Manager
   Symantec Management Client
   Symantec Settings Manager
   System Event Notification Service
   Task Scheduler
   TCP/IP NetBIOS Helper
   Telephony
   Themes
   User Profile Service
   Windows Audio
   Windows Audio Endpoint Builder
   Windows Driver Foundation - User-mode Driver Framework
   Windows Event Log
   Windows Firewall
   Windows Font Cache Service
   Windows Management Instrumentation
   Windows Search
   Windows Update
   WinHTTP Web Proxy Auto-Discovery Service
   Workstation

The command completed successfully.
Comment 4 Grant Williamson 2012-09-03 03:15:07 EDT
Guest started with.

/usr/libexec/qemu-kvm -S -M rhel6.3.0 -cpu SandyBridge,+osxsave,+tsc-deadline,+pdcm,+xtpr,+tm2,+est,+smx,+vmx,+ds_cpl,+monitor,+dtes64,+pbe,+tm,+ht,+ss,+acpi,+ds,+vme -enable-kvm -m 4096 -smp 4,sockets=4,cores=1,threads=1 -name Virtual_Client_for_Linux_KVM_Windows_7_KVM -uuid dad87ece-89c0-4640-ae72-ba12b6b91d34 -smbios type=0,vendor=LENOVO,version=8BET58WW (1.38 ),date=07/06/2012,release=1.38 -smbios type=1,manufacturer=LENOVO,product=4282A37,version=ThinkPad W520,serial=R9M5KG7,sku=Not Specified,family=ThinkPad W520 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/Virtual_Client_for_Linux_KVM_Windows_7_KVM.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -no-kvm-pit-reinjection -no-shutdown -device ich9-usb-ehci1,id=usb,bus=pci.0,addr=0x8.0x7 -device ich9-usb-uhci1,masterbus=usb.0,firstport=0,bus=pci.0,multifunction=on,addr=0x8 -device ich9-usb-uhci2,masterbus=usb.0,firstport=2,bus=pci.0,addr=0x8.0x1 -device ich9-usb-uhci3,masterbus=usb.0,firstport=4,bus=pci.0,addr=0x8.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 -drive file=/var/lib/libvirt/images/Virtual_Client_for_Linux_KVM_Windows_7_KVM.raw,if=none,id=drive-virtio-disk0,format=raw,cache=writeback -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x6,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev tap,fd=21,id=hostnet0,vhost=on,vhostfd=22 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=00:16:3e:03:b6:80,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev pty,id=charchannel0 -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=arbitrary.virtio.serial.port.name -chardev spicevmc,id=charchannel1,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=2,chardev=charchannel1,id=channel1,name=com.redhat.spice.0 -device usb-tablet,id=input0 -spice port=5900,addr=127.0.0.1,disable-ticketing -vga qxl -global qxl-vga.vram_size=67108864 -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -chardev spicevmc,id=charredir0,name=usbredir -device usb-redir,chardev=charredir0,id=redir0,bus=usb.0,port=3 -chardev spicevmc,id=charredir1,name=usbredir -device usb-redir,chardev=charredir1,id=redir1,bus=usb.0,port=4 -chardev spicevmc,id=charredir2,name=usbredir -device usb-redir,chardev=charredir2,id=redir2,bus=usb.0,port=5 -chardev spicevmc,id=charredir3,name=usbredir -device usb-redir,chardev=charredir3,id=redir3,bus=usb.0,port=6 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x7
Comment 5 Grant Williamson 2012-09-03 03:19:49 EDT
I should also note on power off/ power on vdservice did not restart automatically.
Attached log files.
vdservice.log
vdagent.log
Comment 6 Grant Williamson 2012-09-03 03:20:49 EDT
Created attachment 609280 [details]
vdservice log when it has crashed.
Comment 7 Grant Williamson 2012-09-03 03:21:20 EDT
Created attachment 609282 [details]
vdagent.log when it crashed
Comment 8 Mike Cao 2012-09-03 04:08:00 EDT
Hello Grant 

Could you supply me RHEV-Agent version or the rhev-guest-tools-iso version for me to reproduce it ?
Could you put the DMP somewhere in order to make developers analyze it ?

Thanks,
Mike
Comment 9 Grant Williamson 2012-09-03 05:00:00 EDT
vdagent is version 1.1.0.10011
balloon(balloon.inf)	04/15/2012,52.63.103.2600
netkvm(netkvm.inf)	04/20/2012,60.63.103.2700
qxl(qxl.inf)	10/05/2011,5.1.0.10012
viostor(viostor.inf)	04/15/2012,60.63.103.2600
virtio-serial(vioser.inf)	07/03/2012,52.63.103.3000
Comment 10 Grant Williamson 2012-09-03 05:00:59 EDT
Created attachment 609303 [details]
Windows Mini Dump
Comment 11 Mike Cao 2012-09-04 07:05:03 EDT
Hello ,Grant 

I tried following steps ,can not reproduce 
Steps
1.Setup RHEV-M 3.1 environment
2.install win7-64 bit guest 
3.install balloon netkvm qxl viostor virtio-serial and vdagent drivers ,version described in comment #9
4.copy text file from host to guest 

Could you tell me how virtio serial or vdagent works in your environment when you hit this bug ?

Thanks,
Mike
Comment 12 Grant Williamson 2012-09-04 07:08:29 EDT
Created attachment 609631 [details]
Libvirt configuration

Added Virtual_Client_for_Linux_KVM_Windows_7_KVM.xml
Comment 13 Grant Williamson 2012-09-04 07:09:31 EDT
In the case above, I was simply trying to shutdown the guest then the BSOD.

Every BSOD we see on the Windows 7 guest, we want to document and open a bug report.
Comment 14 Grant Williamson 2012-09-04 13:25:09 EDT
Created attachment 609752 [details]
Screenshot of logon window.
Comment 15 Mike Cao 2012-09-05 01:25:01 EDT
Tried following steps ,still can not reproduce

1.Setup RHEV-M 3.1 environment
2.install win7-64 bit guest 
3.install balloon netkvm qxl viostor virtio-serial and vdagent drivers ,version described in comment #9
4.copy text file from host to guest 
5.copy image file from guest to host 
6,reboot/shutdown guest
Comment 16 Grant Williamson 2012-09-05 02:52:32 EDT
# Boot Windows 7.
virsh -c qemu:///system start Virtual_Client_for_Linux_KVM_Windows_7_KVM

# Connect with but do not login.
remote-viewer spice://127.0.0.1:5900

# Shutodwn
virsh -c qemu:///system shutdown Virtual_Client_for_Linux_KVM_Windows_7_KVM

repeat 3x till it crashes.
Comment 17 Grant Williamson 2012-09-05 03:03:06 EDT
Created attachment 609880 [details]
Windows Mini Dump BAD_POOL_CALLER
Comment 18 Grant Williamson 2012-09-05 03:03:59 EDT
Using the same steps have yet another BSOD. Using the same image.
This has been seen by many others at IBM.

BAD_POOL_CALLER 0x000000c2

See mini dump.
BAD_POOL_CALLER-090512-82546-01.dmp.zip
Comment 19 Grant Williamson 2012-09-05 03:25:02 EDT
Dumpcheck once again reports an issue with vioser.sys. 

Microsoft (R) Windows Debugger Version 6.2.9200.16384 AMD64
Copyright (c) Microsoft Corporation. All rights reserved.


Loading Dump File [c:\Windows\Minidump\090512-82546-01.dmp]
Mini Kernel Dump File: Only registers and stack trace are available

Symbol search path is: *** Invalid ***
Executable search path is: 
Unable to load image \SystemRoot\system32\ntoskrnl.exe, Win32 error 0n2
Windows 7 Kernel Version 7601 (Service Pack 1) MP (2 procs) Free x64
Product: WinNt, suite: TerminalServer SingleUserTS
Built by: 7601.17790.amd64fre.win7sp1_gdr.120305-1505
Machine Name:
Kernel base = 0xfffff800`01e61000 PsLoadedModuleList = 0xfffff800`020a5650
Debug session time: Tue Sep  4 21:33:58.125 2012 (UTC - 4:00)
System Uptime: 0 days 0:00:26.750
Unable to load image \SystemRoot\system32\ntoskrnl.exe, Win32 error 0n2
Loading Kernel Symbols
...............................................................
................................................................
......................
Loading User Symbols
Loading unloaded module list
....

Use !analyze -v to get detailed debugging information.

BugCheck C2, {7, 109b, 404005d, fffffa8004d53a90}


unable to get nt!MmSpecialPoolStart
unable to get nt!MmSpecialPoolEnd
unable to get nt!MmPagedPoolEnd
unable to get nt!MmNonPagedPoolStart
unable to get nt!MmSizeOfNonPagedPoolInBytes
Cannot get _POOL_TRACKER_BIG_PAGES type size
Probably caused by : vioser.sys ( vioser+8660 )

Followup: MachineOwner
---------

----- 64 bit Kernel Mini Dump Analysis

DUMP_HEADER64:
MajorVersion        0000000f
MinorVersion        00001db1
KdSecondaryVersion  00000000
DirectoryTableBase  00000000`00187000
PfnDataBase         fffff800`0210f278
PsLoadedModuleList  fffff800`020a5650
PsActiveProcessHead fffff800`02087350
MachineImageType    00008664
NumberProcessors    00000002
BugCheckCode        000000c2
BugCheckParameter1  00000000`00000007
BugCheckParameter2  00000000`0000109b
BugCheckParameter3  00000000`0404005d
BugCheckParameter4  fffffa80`04d53a90
KdDebuggerDataBlock fffff800`020510a0
ProductType         00000001
SuiteMask           00000110
WriterStatus        00000000
MiniDumpFields      00000cff 

TRIAGE_DUMP64:
ServicePackBuild      00000100 
SizeOfDump            00040000 
ValidOffset           0003fffc 
ContextOffset         00000348 
ExceptionOffset       00000f00 
MmOffset              00002080 
UnloadedDriversOffset 000020d0 
PrcbOffset            000021b8 
ProcessOffset         00006eb8 
ThreadOffset          00007388 
CallStackOffset       00007828 
SizeOfCallStack       00000768 
DriverListOffset      000082d0 
DriverCount           00000096 
StringPoolOffset      0000d730 
StringPoolSize        00003380 
BrokenDriverOffset    00000000 
TriageOptions         ffffffff 
TopOfStack            fffff880`0c106508 
BStoreOffset          00000000 
SizeOfBStore          00000000 
LimitOfBStore         00000000`00000000 
DebuggerDataOffset    00007f90 
DebuggerDataSize      00000340 
DataBlocksOffset      00010ab0 
DataBlocksCount       0000000b 
  fffff800`020a5aa0 - fffff800`020a5b3b at offset 00010b60
  fffff800`0208d908 - fffff800`0208d90b at offset 00010bfc
  fffff800`0208d904 - fffff800`0208d907 at offset 00010c00
  fffff800`02016880 - fffff800`0201697f at offset 00010c04
  fffffa80`04d53000 - fffffa80`04d53fff at offset 00010d04
  fffffa80`04d52000 - fffffa80`04d52fff at offset 00011d04
  fffff800`020dc3c0 - fffff800`020dc3c3 at offset 00012d04
  fffff800`020dbfc0 - fffff800`020dbfdf at offset 00012d08
  fffff800`0210f07c - fffff800`0210f07f at offset 00012d28
  fffff800`0210f068 - fffff800`0210f06b at offset 00012d2c
  fffff800`01edd000 - fffff800`01eddfff at offset 00012d30
  Max offset 13d30, 2df40 from end of file


Windows 7 Kernel Version 7601 (Service Pack 1) MP (2 procs) Free x64
Product: WinNt, suite: TerminalServer SingleUserTS
Built by: 7601.17790.amd64fre.win7sp1_gdr.120305-1505
Machine Name:*** WARNING: Unable to verify timestamp for srv.sys

Kernel base = 0xfffff800`01e61000 PsLoadedModuleList = 0xfffff800`020a5650
Debug session time: Tue Sep  4 21:33:58.125 2012 (UTC - 4:00)
System Uptime: 0 days 0:00:26.750
start             end                 module name
fffff800`01bdb000 fffff800`01be5000   kdcom     Sat Feb 05 11:52:49 2011 (4D4D8061)
fffff800`01e18000 fffff800`01e61000   hal       Sat Nov 20 08:00:25 2010 (4CE7C669)
fffff800`01e61000 fffff800`02449000   nt        Mon Mar 05 22:58:13 2012 (4F558B55)
fffff880`00c00000 fffff880`00c1a000   mountmgr  Sat Nov 20 04:19:21 2010 (4CE79299)
fffff880`00c1a000 fffff880`00c23000   atapi     Mon Jul 13 19:19:47 2009 (4A5BC113)
fffff880`00c23000 fffff880`00c4d000   ataport   Sat Nov 20 04:19:15 2010 (4CE79293)
fffff880`00c4d000 fffff880`00c59000   viostor   Sun Apr 15 04:18:29 2012 (4F8A8455)
fffff880`00c6b000 fffff880`00cba000   mcupdate_GenuineIntel  Sat Nov 20 08:03:51 2010 (4CE7C737)
fffff880`00cba000 fffff880`00cce000   PSHED     Mon Jul 13 21:32:23 2009 (4A5BE027)
fffff880`00cce000 fffff880`00d2c000   CLFS      Mon Jul 13 19:19:57 2009 (4A5BC11D)
fffff880`00d2c000 fffff880`00dec000   CI        Sat Nov 20 08:12:36 2010 (4CE7C944)
fffff880`00e00000 fffff880`00e15000   partmgr   Sat Nov 20 04:20:00 2010 (4CE792C0)
fffff880`00e15000 fffff880`00e2a000   volmgr    Sat Nov 20 04:19:28 2010 (4CE792A0)
fffff880`00e2a000 fffff880`00e86000   volmgrx   Sat Nov 20 04:20:43 2010 (4CE792EB)
fffff880`00e86000 fffff880`00e8e000   intelide  Mon Jul 13 19:19:48 2009 (4A5BC114)
fffff880`00e8e000 fffff880`00e9e000   PCIIDEX   Mon Jul 13 19:19:48 2009 (4A5BC114)
fffff880`00ea0000 fffff880`00f44000   Wdf01000  Mon Jul 13 19:22:07 2009 (4A5BC19F)
fffff880`00f44000 fffff880`00f53000   WDFLDR    Mon Jul 13 19:19:54 2009 (4A5BC11A)
fffff880`00f53000 fffff880`00faa000   ACPI      Sat Nov 20 04:19:16 2010 (4CE79294)
fffff880`00faa000 fffff880`00fb3000   WMILIB    Mon Jul 13 19:19:51 2009 (4A5BC117)
fffff880`00fb3000 fffff880`00fbd000   msisadrv  Mon Jul 13 19:19:26 2009 (4A5BC0FE)
fffff880`00fbd000 fffff880`00ff0000   pci       Sat Nov 20 04:19:11 2010 (4CE7928F)
fffff880`00ff0000 fffff880`00ffd000   vdrvroot  Mon Jul 13 20:01:31 2009 (4A5BCADB)
fffff880`01000000 fffff880`0105e000   msrpc     Sat Nov 20 04:21:56 2010 (4CE79334)
fffff880`0105e000 fffff880`010d0000   cng       Wed Nov 16 23:23:17 2011 (4EC48C35)
fffff880`010da000 fffff880`0113d000   storport  Thu Mar 10 23:30:23 2011 (4D79A55F)
fffff880`0113d000 fffff880`01148000   amdxata   Fri Mar 19 12:18:18 2010 (4BA3A3CA)
fffff880`01148000 fffff880`01194000   fltmgr    Sat Nov 20 04:19:24 2010 (4CE7929C)
fffff880`01194000 fffff880`011a8000   fileinfo  Mon Jul 13 19:34:25 2009 (4A5BC481)
fffff880`011a8000 fffff880`011fe000   USBPORT   Thu Mar 24 23:29:12 2011 (4D8C0C08)
fffff880`01200000 fffff880`01211000   pcw       Mon Jul 13 19:19:27 2009 (4A5BC0FF)
fffff880`01211000 fffff880`0121b000   Fs_Rec    Wed Feb 29 22:41:06 2012 (4F4EEFD2)
fffff880`01232000 fffff880`013d5000   Ntfs      Thu Mar 10 22:39:39 2011 (4D79997B)
fffff880`013d5000 fffff880`013f0000   ksecdd    Wed Nov 16 22:48:13 2011 (4EC483FD)
fffff880`01400000 fffff880`01424000   HDAudBus  Sat Nov 20 05:43:42 2010 (4CE7A65E)
fffff880`01424000 fffff880`01435000   usbehci   Thu Mar 24 23:29:04 2011 (4D8C0C00)
fffff880`01435000 fffff880`0144b000   intelppm  Mon Jul 13 19:19:25 2009 (4A5BC0FD)
fffff880`0144b000 fffff880`0145b000   CompositeBus  Sat Nov 20 05:33:17 2010 (4CE7A3ED)
fffff880`0145b000 fffff880`01471000   AgileVpn  Mon Jul 13 20:10:24 2009 (4A5BCCF0)
fffff880`01475000 fffff880`01568000   ndis      Sat Nov 20 04:23:30 2010 (4CE79392)
fffff880`01568000 fffff880`015c8000   NETIO     Sat Nov 20 04:23:13 2010 (4CE79381)
fffff880`015c8000 fffff880`015f3000   ksecpkg   Wed Nov 16 23:23:44 2011 (4EC48C50)
fffff880`01600000 fffff880`01616000   disk      Mon Jul 13 19:19:57 2009 (4A5BC11D)
fffff880`01616000 fffff880`01646000   CLASSPNP  Sat Nov 20 04:19:23 2010 (4CE7929B)
fffff880`01646000 fffff880`01658000   tcpipreg  Sat Nov 20 05:51:48 2010 (4CE7A844)
fffff880`0167d000 fffff880`016a7000   cdrom     Sat Nov 20 04:19:20 2010 (4CE79298)
fffff880`016a7000 fffff880`016b4000   usbuhci   Thu Mar 24 23:29:03 2011 (4D8C0BFF)
fffff880`016b8000 fffff880`018bc000   tcpip     Wed Sep 28 23:43:04 2011 (4E83E948)
fffff880`018bc000 fffff880`01906000   fwpkclnt  Sat Nov 20 04:21:37 2010 (4CE79321)
fffff880`01906000 fffff880`01916000   vmstorfl  Sat Nov 20 04:57:30 2010 (4CE79B8A)
fffff880`01916000 fffff880`01962000   volsnap   Sat Nov 20 04:20:08 2010 (4CE792C8)
fffff880`01962000 fffff880`0196a000   spldr     Mon May 11 12:56:27 2009 (4A0858BB)
fffff880`0196a000 fffff880`019a4000   rdyboost  Sat Nov 20 04:43:10 2010 (4CE7982E)
fffff880`019a4000 fffff880`019b6000   mup       Mon Jul 13 19:23:45 2009 (4A5BC201)
fffff880`019b6000 fffff880`019bf000   hwpolicy  Sat Nov 20 04:18:54 2010 (4CE7927E)
fffff880`019bf000 fffff880`019f9000   fvevol    Sat Nov 20 04:24:06 2010 (4CE793B6)
fffff880`02600000 fffff880`027f8000   EX64      Fri Jul 29 09:15:11 2011 (4E32B25F)
fffff880`027f8000 fffff880`027ff000   Beep      Mon Jul 13 20:00:13 2009 (4A5BCA8D)
fffff880`02800000 fffff880`02809000   rdprefmp  Mon Jul 13 20:16:35 2009 (4A5BCE63)
fffff880`02809000 fffff880`02814000   Msfs      Mon Jul 13 19:19:47 2009 (4A5BC113)
fffff880`02814000 fffff880`02825000   Npfs      Mon Jul 13 19:19:48 2009 (4A5BC114)
fffff880`02825000 fffff880`02847000   tdx       Sat Nov 20 04:21:54 2010 (4CE79332)
fffff880`02847000 fffff880`02854000   TDI       Sat Nov 20 04:22:06 2010 (4CE7933E)
fffff880`02854000 fffff880`02867000   wpsdrvnt  Thu Sep 29 15:30:30 2011 (4E84C756)
fffff880`02867000 fffff880`028b8000   rdbss     Sat Nov 20 04:27:51 2010 (4CE79497)
fffff880`028c1000 fffff880`02937000   SRTSP64   Thu Sep 01 22:26:17 2011 (4E603EC9)
fffff880`02937000 fffff880`0296d000   SYMEVENT64x86  Thu Mar 24 19:02:36 2011 (4D8BCD8C)
fffff880`0296d000 fffff880`0298d000   ENG64     Fri Jul 29 09:17:51 2011 (4E32B2FF)
fffff880`0298d000 fffff880`029a1000   SRTSPX64  Thu Sep 01 22:27:28 2011 (4E603F10)
fffff880`029a1000 fffff880`029aa000   Null      Mon Jul 13 19:19:37 2009 (4A5BC109)
fffff880`029aa000 fffff880`029b8000   vga       Mon Jul 13 19:38:47 2009 (4A5BC587)
fffff880`029b8000 fffff880`029dd000   VIDEOPRT  Mon Jul 13 19:38:51 2009 (4A5BC58B)
fffff880`029dd000 fffff880`029ed000   watchdog  Mon Jul 13 19:37:35 2009 (4A5BC53F)
fffff880`029ed000 fffff880`029f6000   RDPCDD    Mon Jul 13 20:16:34 2009 (4A5BCE62)
fffff880`029f6000 fffff880`029ff000   rdpencdd  Mon Jul 13 20:16:34 2009 (4A5BCE62)
fffff880`02a00000 fffff880`02a0c000   nsiproxy  Mon Jul 13 19:21:02 2009 (4A5BC15E)
fffff880`02a0c000 fffff880`02a17000   mssmbios  Mon Jul 13 19:31:10 2009 (4A5BC3BE)
fffff880`02a17000 fffff880`02a31000   netkvm    Fri Apr 20 18:36:56 2012 (4F91E508)
fffff880`02a31000 fffff880`02a3f000   BALLOON   Sun Apr 15 04:18:59 2012 (4F8A8473)
fffff880`02a47000 fffff880`02ad0000   afd       Tue Dec 27 22:59:20 2011 (4EFA9418)
fffff880`02ad0000 fffff880`02b15000   netbt     Sat Nov 20 04:23:18 2010 (4CE79386)
fffff880`02b15000 fffff880`02b1e000   wfplwf    Mon Jul 13 20:09:26 2009 (4A5BCCB6)
fffff880`02b1e000 fffff880`02b44000   pacer     Sat Nov 20 05:52:18 2010 (4CE7A862)
fffff880`02b44000 fffff880`02b78000   agnfilt   Mon Aug 09 11:51:52 2010 (4C602418)
fffff880`02b78000 fffff880`02b9e000   Teefer3   Thu Jan 13 12:34:07 2011 (4D2F378F)
fffff880`02b9e000 fffff880`02bad000   netbios   Mon Jul 13 20:09:26 2009 (4A5BCCB6)
fffff880`02bad000 fffff880`02bca000   serial    Mon Jul 13 20:00:40 2009 (4A5BCAA8)
fffff880`02bca000 fffff880`02be5000   wanarp    Sat Nov 20 05:52:36 2010 (4CE7A874)
fffff880`02be5000 fffff880`02bf9000   termdd    Sat Nov 20 06:03:40 2010 (4CE7AB0C)
fffff880`02c00000 fffff880`02c1e000   dfsc      Sat Nov 20 04:26:31 2010 (4CE79447)
fffff880`02c1e000 fffff880`02c2f000   blbdrive  Mon Jul 13 19:35:59 2009 (4A5BC4DF)
fffff880`02c2f000 fffff880`02c55000   tunnel    Sat Nov 20 05:51:50 2010 (4CE7A846)
fffff880`02c55000 fffff880`02c73000   i8042prt  Mon Jul 13 19:19:57 2009 (4A5BC11D)
fffff880`02c73000 fffff880`02c82000   kbdclass  Mon Jul 13 19:19:50 2009 (4A5BC116)
fffff880`02c82000 fffff880`02c91000   mouclass  Mon Jul 13 19:19:50 2009 (4A5BC116)
fffff880`02c91000 fffff880`02c9e000   fdc       Mon Jul 13 20:00:54 2009 (4A5BCAB6)
fffff880`02c9e000 fffff880`02caa000   serenum   Mon Jul 13 20:00:33 2009 (4A5BCAA1)
fffff880`02caa000 fffff880`02cb2000   qxl       Wed Oct 05 15:03:29 2011 (4E8CAA01)
fffff880`02cb2000 fffff880`02cc5000   vioser    Tue Jul 03 00:14:01 2012 (4FF27189)
fffff880`02cc8000 fffff880`02d41000   eeCtrl64  Fri Jan 20 18:39:48 2012 (4F19FB44)
fffff880`02d41000 fffff880`02d67000   EraserUtilRebootDrv  Fri Jan 20 18:39:49 2012 (4F19FB45)
fffff880`02d67000 fffff880`02d76000   discache  Mon Jul 13 19:37:18 2009 (4A5BC52E)
fffff880`02d76000 fffff880`02df9000   csc       Sat Nov 20 04:27:12 2010 (4CE79470)
fffff880`03000000 fffff880`03031000   srvnet    Thu Apr 28 23:05:35 2011 (4DBA2AFF)
fffff880`0303a000 fffff880`0305e000   rasl2tp   Sat Nov 20 05:52:34 2010 (4CE7A872)
fffff880`0305e000 fffff880`0306a000   ndistapi  Mon Jul 13 20:10:00 2009 (4A5BCCD8)
fffff880`0306a000 fffff880`03099000   ndiswan   Sat Nov 20 05:52:32 2010 (4CE7A870)
fffff880`03099000 fffff880`030b4000   raspppoe  Mon Jul 13 20:10:17 2009 (4A5BCCE9)
fffff880`030b4000 fffff880`030d5000   raspptp   Sat Nov 20 05:52:31 2010 (4CE7A86F)
fffff880`030d5000 fffff880`030ef000   rassstp   Mon Jul 13 20:10:25 2009 (4A5BCCF1)
fffff880`030ef000 fffff880`030fa000   rdpbus    Mon Jul 13 20:17:46 2009 (4A5BCEAA)
fffff880`030fa000 fffff880`030fb480   swenum    Mon Jul 13 20:00:18 2009 (4A5BCA92)
fffff880`030fc000 fffff880`0313f000   ks        Sat Nov 20 05:33:23 2010 (4CE7A3F3)
fffff880`0313f000 fffff880`0314b400   spiceusbdbus  Thu Dec 17 05:25:08 2009 (4B2A0704)
fffff880`0314c000 fffff880`0315e000   umbus     Sat Nov 20 05:44:37 2010 (4CE7A695)
fffff880`0315e000 fffff880`031b8000   usbhub    Thu Mar 24 23:29:25 2011 (4D8C0C15)
fffff880`031b8000 fffff880`031cd000   NDProxy   Sat Nov 20 05:52:20 2010 (4CE7A864)
fffff880`031cd000 fffff880`031fa000   mrxsmb    Tue Apr 26 22:40:38 2011 (4DB78226)
fffff880`0b600000 fffff880`0b615000   lltdio    Mon Jul 13 20:08:50 2009 (4A5BCC92)
fffff880`0b615000 fffff880`0b62d000   rspndr    Mon Jul 13 20:08:50 2009 (4A5BCC92)
fffff880`0b62d000 fffff880`0b64b000   bowser    Tue Feb 22 23:55:04 2011 (4D649328)
fffff880`0b64b000 fffff880`0b663000   mpsdrv    Mon Jul 13 20:08:25 2009 (4A5BCC79)
fffff880`0b671000 fffff880`0b6cd000   HdAudio   Sat Nov 20 05:44:23 2010 (4CE7A687)
fffff880`0b6cd000 fffff880`0b70a000   portcls   Mon Jul 13 20:06:27 2009 (4A5BCC03)
fffff880`0b70a000 fffff880`0b72c000   drmk      Mon Jul 13 21:01:25 2009 (4A5BD8E5)
fffff880`0b72c000 fffff880`0b731200   ksthunk   Mon Jul 13 20:00:19 2009 (4A5BCA93)
fffff880`0b732000 fffff880`0b740000   crashdmp  Mon Jul 13 20:01:01 2009 (4A5BCABD)
fffff880`0b740000 fffff880`0b74a000   dump_diskdump  Fri Apr 22 16:04:32 2011 (4DB1DF50)
fffff880`0b74a000 fffff880`0b756000   dump_viostor  Sun Apr 15 04:18:29 2012 (4F8A8455)
fffff880`0b756000 fffff880`0b769000   dump_dumpfve  Mon Jul 13 19:21:51 2009 (4A5BC18F)
fffff880`0b769000 fffff880`0b777000   hidusb    Sat Nov 20 05:43:49 2010 (4CE7A665)
fffff880`0b777000 fffff880`0b790000   HIDCLASS  Sat Nov 20 05:43:49 2010 (4CE7A665)
fffff880`0b790000 fffff880`0b798080   HIDPARSE  Mon Jul 13 20:06:17 2009 (4A5BCBF9)
fffff880`0b799000 fffff880`0b79af00   USBD      Thu Mar 24 23:28:59 2011 (4D8C0BFB)
fffff880`0b79b000 fffff880`0b7a8000   mouhid    Mon Jul 13 20:00:20 2009 (4A5BCA94)
fffff880`0b7a8000 fffff880`0b7b4000   Dxapi     Mon Jul 13 19:38:28 2009 (4A5BC574)
fffff880`0b7b4000 fffff880`0b7d7000   luafv     Mon Jul 13 19:26:13 2009 (4A5BC295)
fffff880`0b7d7000 fffff880`0b7f8000   WudfPf    Sat Nov 20 05:42:44 2010 (4CE7A624)
fffff880`0c200000 fffff880`0c2c9000   HTTP      Sat Nov 20 04:24:30 2010 (4CE793CE)
fffff880`0c2c9000 fffff880`0c2d2c80   spicepnptls  Thu Dec 17 05:25:06 2009 (4B2A0702)
fffff880`0c2d9000 fffff880`0c327000   mrxsmb10  Fri Jul 08 22:46:28 2011 (4E17C104)
fffff880`0c327000 fffff880`0c34b000   mrxsmb20  Tue Apr 26 22:39:37 2011 (4DB781E9)
fffff880`0c34b000 fffff880`0c3f1000   peauth    Mon Jul 13 21:01:19 2009 (4A5BD8DF)
fffff880`0c3f1000 fffff880`0c3fc000   secdrv    Wed Sep 13 09:18:38 2006 (4508052E)
fffff880`0c6f0000 fffff880`0c759000   srv2      Thu Apr 28 23:05:46 2011 (4DBA2B0A)
fffff880`0c759000 fffff880`0c7f1000   srv       Thu Apr 28 23:06:06 2011 (4DBA2B1E)
fffff960`00000000 fffff960`00315000   win32k    unavailable (00000000)
fffff960`005e0000 fffff960`005fe000   dxg       unavailable (00000000)
fffff960`007e0000 fffff960`007ea000   TSDDD     unavailable (00000000)
fffff960`00800000 fffff960`00827000   qxldd     unavailable (00000000)

Unloaded modules:
fffff880`01646000 fffff880`01654000   crashdmp.sys
    Timestamp: unavailable (00000000)
    Checksum:  00000000
    ImageSize:  0000E000
fffff880`01654000 fffff880`0165e000   dump_storpor
    Timestamp: unavailable (00000000)
    Checksum:  00000000
    ImageSize:  0000A000
fffff880`0165e000 fffff880`0166a000   dump_viostor
    Timestamp: unavailable (00000000)
    Checksum:  00000000
    ImageSize:  0000C000
fffff880`0166a000 fffff880`0167d000   dump_dumpfve
    Timestamp: unavailable (00000000)
    Checksum:  00000000
    ImageSize:  00013000

Use !analyze -v to get detailed debugging information.

BugCheck C2, {7, 109b, 404005d, fffffa8004d53a90}


Cannot get _POOL_TRACKER_BIG_PAGES type size
Probably caused by : vioser.sys ( vioser+8660 )

Followup: MachineOwner
---------

Finished dump check
Comment 20 Grant Williamson 2012-09-05 05:22:43 EDT
TEST A 
# With RHEV Spice Agent disabled inside windows guest.

# Boot Windows 7.
virsh -c qemu:///system start Virtual_Client_for_Linux_KVM_Windows_7_KVM

# Connect with but do not login.
remote-viewer spice://127.0.0.1:5900 &

# Shutdown
virsh -c qemu:///system shutdown Virtual_Client_for_Linux_KVM_Windows_7_KVM

Repeated 10x - not one BSOD.


TEST B
# With RHEV Spice Agent enabled inside windows guest.# Boot Windows 7.
virsh -c qemu:///system start Virtual_Client_for_Linux_KVM_Windows_7_KVM

# Connect with but do not login.
remote-viewer spice://127.0.0.1:5900 &

# Shutdown
virsh -c qemu:///system shutdown Virtual_Client_for_Linux_KVM_Windows_7_KVM

Straight away BSOD on shutdown.
Comment 21 Grant Williamson 2012-09-05 06:09:56 EDT
TEST C 
# USING SPICEC and NOT remote-viewer
# With RHEV Spice Agent enabled inside windows guest.# Boot Windows 7.
virsh -c qemu:///system start Virtual_Client_for_Linux_KVM_Windows_7_KVM

# Connect with but do not login.
 spicec --host 127.0.0.1 --port 5901  &

# Shutdown
virsh -c qemu:///system shutdown Virtual_Client_for_Linux_KVM_Windows_7_KVM

Repeated 10x - not one BSOD.
Comment 22 Grant Williamson 2012-09-05 06:42:46 EDT
Logging in and running shutdown, still produces a BSOD, on occasions.
Ignore the viewer comments.

Testing a group policy script to run "sc stop vdeservice" on shutdown.
Comment 23 Grant Williamson 2012-09-05 08:25:05 EDT
So by creating a GroupPolicy in Windows. 
Adding a simple SHUTDOWN.BAT script which runs.

sc stop vdservice > null

I cannot reproduce the BSOD as seen above.
Comment 24 John Walicki 2012-09-05 08:53:01 EDT
Grant - Great work around.  Its still a bug in the vdservice Windows service that is causing BSOD crashes.
Comment 25 Arnon Gilboa 2012-09-09 08:54:32 EDT
(In reply to comment #24)
> Grant - Great work around.  Its still a bug in the vdservice Windows service
> that is causing BSOD crashes.

Seems like a dubious conclusion. I can only agree that when virtio-serial is not used (as vdservice seems like its only user here), the driver won't cause a BSOD... Moreover, stopping the service manually (comment 23) doesn't cause a BSOD.
Comment 26 John Walicki 2012-09-09 12:40:28 EDT
What other conclusion can be made?  There's definitely a problem somewhere in the interactions of vdservice and vioser.sys.
Comment 27 Grant Williamson 2012-09-10 01:17:43 EDT
Arnon - please let me know what information you require.
Should I crash the VM again and run sosreport.
Comment 28 Vadim Rozenfeld 2012-09-10 09:11:55 EDT
Must be a vioserial problem. No service - no pending request in queues. No request - no crash. 

Guys, could you please try reproducing the problem with the latest driver, 
available at http://download.devel.redhat.com/brewroot/packages/virtio-win-prewhql/0.1/35/win/virtio-win-prewhql-0.1.zip?

Cheers,
Vadim.
Comment 29 John Walicki 2012-09-10 10:13:31 EDT
Thanks - What's changed in this new version?
http://download.devel.redhat.com is unreachable so I wasn't able to download the .zip file.
Comment 31 Grant Williamson 2012-09-10 12:43:59 EDT
Created attachment 611496 [details]
SOS Report BSOD.
Comment 32 Grant Williamson 2012-09-10 12:45:14 EDT
Vadim,
latest driver - rebooted 3x - another BSOD.
SYSTEM_SERVICE_EXCEPTION - stop 0x0000003b

Added sosreport at time of crash if that helps.
Comment 33 Vadim Rozenfeld 2012-09-10 19:29:56 EDT
(In reply to comment #29)
> Thanks - What's changed in this new version?
> http://download.devel.redhat.com is unreachable so I wasn't able to download
> the .zip file.

Mostly PnP and Power Management stuff.
Comment 34 Vadim Rozenfeld 2012-09-10 19:32:38 EDT
(In reply to comment #32)
> Vadim,
> latest driver - rebooted 3x - another BSOD.
> SYSTEM_SERVICE_EXCEPTION - stop 0x0000003b
> 
> Added sosreport at time of crash if that helps.

Thank you,
Could you please upload the crash dump file?

Best regards,
Vadim.
Comment 35 Grant Williamson 2012-09-11 03:27:32 EDT
Created attachment 611677 [details]
SOS report 11 September
Comment 36 Grant Williamson 2012-09-11 03:28:14 EDT
Created attachment 611678 [details]
Windows Mini Dump 11 September
Comment 37 Grant Williamson 2012-09-11 03:29:37 EDT
Vadim, updated with 2 new attachments.
Comment 38 Dor Laor 2012-09-11 05:12:39 EDT
Grant, why are you using the RHEV guest agent outside of the RHEV product?
Is someone sending that guest agent commands from the host?
It may work but not a supported combination.

Regardless we're giving very high priority to solve the bug.
Dor
Comment 39 Vadim Rozenfeld 2012-09-11 05:20:22 EDT
(In reply to comment #37)
> Vadim, updated with 2 new attachments.

Thank you,
Can I ask you to reproduce the problem and resend a dump file with the kernel dump option turned on, instead of mini dump?

Vadim.
Comment 40 Arnon Gilboa 2012-09-11 05:25:44 EDT
(In reply to comment #38)
> Grant, why are you using the RHEV guest agent outside of the RHEV product?
> Is someone sending that guest agent commands from the host?
> It may work but not a supported combination.
> 
> Regardless we're giving very high priority to solve the bug.
> Dor

I think they use Spice agent, not RHEV agent.
Unfortunatelly, vdservice "display name" is "RHEV Spice Agent", in upstream as well.
Comment 41 Grant Williamson 2012-09-11 05:51:19 EDT
Dor, we are not th(In reply to comment #38)
> Grant, why are you using the RHEV guest agent outside of the RHEV product?
> Is someone sending that guest agent commands from the host?
> It may work but not a supported combination.
> 
> Regardless we're giving very high priority to solve the bug.
> Dor

Dor we are not using the "RHEV Guest Agent", we are using the "RHEV Spice Agent".
Comment 42 Grant Williamson 2012-09-11 06:35:29 EDT
Dor some additional answers.

  - Suspend of the host while running VMs
We are seeing these issues without suspending/resuming.

  - Why does libvirt xml uses that many cpu flags w/ qemu (in that BZ)?
    It should just use the model (SandyBridge in this case).
If you copy host configuration using virt-manager it adds the flags.

  - Do you think your anti virus causes issues? What's the exact
    vendor/version?
Symantec Endpoint Protection 11.0.7101 - English - 64Bit - Managed
Comment 43 Grant Williamson 2012-09-11 06:37:42 EDT
(In reply to comment #39)
> (In reply to comment #37)
> > Vadim, updated with 2 new attachments.
> 
> Thank you,
> Can I ask you to reproduce the problem and resend a dump file with the
> kernel dump option turned on, instead of mini dump?
> 
> Vadim.

As requested.

Uploaded full memory dump to ftp://dropbox.redhat.com/incoming
- GWILLIAMSON-853853-MEMORY.DMP.gz
Comment 44 Dor Laor 2012-09-24 05:23:06 EDT
Vadim, can you grab this dump?

Grant, about the cpu flags, it would be better just to use the virtual cpu model w/o additional flags. It is safer and more tested. For instance your command line adds tsc_deadlinetimer which we don't even support (and should have return an error)
Comment 45 Vadim Rozenfeld 2012-09-24 06:03:05 EDT
(In reply to comment #44)
> Vadim, can you grab this dump?
It's on my system. but almost useless. Seems like the most interesting information was paged or corrupted

Best regards,
Vadim.
Comment 46 Vadim Rozenfeld 2012-10-02 08:32:51 EDT
Hi Grant,
Can I ask to reproduce the problem with the latest drivers,
available at http://people.redhat.com/vrozenfe/build-39/ and
resend new crash dump file one more time?

Thank you,
Vadim.
Comment 47 Grant Williamson 2012-10-03 07:03:48 EDT
Hi Vadim,

I updated vioser.sys to the 20121001 build.
Here is the crash dump.
uploaded 853853-20121003-MEMORY.DMP.bz2 to ftp://dropbox.redhat.com/incoming.
Comment 48 Miya Chen 2012-10-19 07:07:02 EDT
Hi Yan, could you please have a look at the crash dump in comment#47? Thanks.
Comment 49 Yan Vugenfirer 2012-10-24 07:27:26 EDT
Hi Miya,

I cannot acces dropbox.redhat.com for some reason.

Can you upload the dump to: \\smamit.eng.lab.tlv.redhat.com\win-team\Public\QE\Bug853853 ?

Thanks,
Yan.
Comment 50 Miya Chen 2012-10-25 04:15:09 EDT
Hi Grant, can you please re-upload the dump to the place in above place that Yan requested?Thanks very much.
Comment 51 Grant Williamson 2012-10-25 09:33:12 EDT
What kind of drop is "\\smamit.eng.lab.tlv.redhat.com\win-team\Public\QE\Bug853853"
Comment 52 Yan Vugenfirer 2012-10-25 11:54:57 EDT
Sorry Grant I thought you have an access to "smamit".

Miya, Grant - how can get access to ftp://dropbox.redhat.com or what other place can you upload the dump file?
Comment 53 Mike Cao 2012-10-25 22:43:27 EDT
(In reply to comment #52)
> Sorry Grant I thought you have an access to "smamit".
> 
> Miya, Grant - how can get access to ftp://dropbox.redhat.com or what other
> place can you upload the dump file?

I will download for you and put it into internal smamit
Comment 55 Mike Cao 2012-10-25 23:15:01 EDT
(In reply to comment #49)
> Hi Miya,
> 
> I cannot acces dropbox.redhat.com for some reason.
> 
> Can you upload the dump to:
> \\smamit.eng.lab.tlv.redhat.com\win-team\Public\QE\Bug853853 ?
> 
> Thanks,
> Yan.

put it here already .
Comment 56 Yan Vugenfirer 2012-10-30 09:09:41 EDT
(In reply to comment #55)
> (In reply to comment #49)
> > Hi Miya,
> > 
> > I cannot acces dropbox.redhat.com for some reason.
> > 
> > Can you upload the dump to:
> > \\smamit.eng.lab.tlv.redhat.com\win-team\Public\QE\Bug853853 ?
> > 
> > Thanks,
> > Yan.
> 
> put it here already .

Regarding this crash dump - either it is corrupted or there is a memory corruption.
Nevertheless looking at the task list running I see a lot of VMware stuff on the guest - and for me it looks like https://bugzilla.redhat.com/show_bug.cgi?id=864757 .

.tlist

 0n2036 vmware-usbarbitrator.exe
 0n1436 vmtoolsd.exe
 0n2576 VMwareTray.exe
 0n1820 vmtoolsd.exe
 0n8308 VMwareTray.exe
Comment 57 Yan Vugenfirer 2012-10-30 09:13:08 EDT
Hello,

Which version of the virtio-serial was used during the crashes?

Thanks,
Yan.
Comment 60 Ronen Hod 2012-12-18 11:12:10 EST
Postponed to 6.5 since we finished WHQL of 6.4.
It is worth retrying with the latest driver that contains several bug fixes.
Since we failed to reproduce it, we will appreciate an updated dump with the latest drivers.
Comment 61 Gal Hammer 2013-01-21 03:13:24 EST
I've also emailed this request to Grant Williamson and Steve Best:

I'm trying to resolve rhbz#853853 (https://bugzilla.redhat.com/show_bug.cgi?id=853853) and so far I had no luck trying to reproduce the crash you describe.

From Grant's comment (https://bugzilla.redhat.com/show_bug.cgi?id=853853#c23) which "solved" the problem I assume that the crash's cause might be related to a bug we had, shutting down the driver when it is still in use. That issue was solved and maybe will help fixing this problem as well.

Do you mind testing a new driver build (51) on your system?
Comment 62 langfang 2013-01-24 01:49:10 EST
Hi ,seem i reproduce this bug ,not sure if the same problem
Version:
Host:
[root@localhost windows_img]# uname -r
2.6.32-355.el6.x86_64
[root@localhost windows_img]# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.352.el6.x86_64

Guest:
win7-64
virtio-win-prewhql.0.1


steps:
1.boot guest with 
... -device virtio-serial-pci,id=virtio-serial0,max_ports=16,bus=pci.0,addr=0x7 -chardev socket,id=channel0,path=/tmp/serial-socket,server,nowait -device virtserialport,bus=virtio-serial0.0,chardev=channel0,name=com.redhat.rhevm.vdsm,id=port1 ...

2.Transfer data from guest to host
HOst:

for ((;;)); do python serial-host-receive.py /tmp/serial-socket; sleep 1; echo `date`>>a.out;done

Guest:

for %i in (0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19) do python VirtIoChannel_Guest_send.py com.redhat.rhevm.vdsm

3.While transfer data from guest to host,do S3 in guest
Sleep

Results:
BSOD 

stop 0x0000003b 

Addtional info:
1) for BSOD see attachment
2)dump file see attachment
3)if transfer data from host to guest ,not hit the problem
Comment 63 langfang 2013-01-24 01:51:03 EST
addtional info:
Guest:
win7-64
virtio-win-prewhql-0.1-49
Comment 64 langfang 2013-01-24 01:52:06 EST
Created attachment 686502 [details]
BSOD
Comment 65 Mike Cao 2013-01-24 04:51:39 EST
(In reply to comment #64)
> Created attachment 686502 [details]
> BSOD

(In reply to comment #62)
> Hi ,seem i reproduce this bug ,not sure if the same problem
> Version:
> Host:
> [root@localhost windows_img]# uname -r
> 2.6.32-355.el6.x86_64
> [root@localhost windows_img]# rpm -q qemu-kvm
> qemu-kvm-0.12.1.2-2.352.el6.x86_64
> 
> Guest:
> win7-64
> virtio-win-prewhql.0.1
> 
> 
> steps:
> 1.boot guest with 
> ... -device
> virtio-serial-pci,id=virtio-serial0,max_ports=16,bus=pci.0,addr=0x7 -chardev
> socket,id=channel0,path=/tmp/serial-socket,server,nowait -device
> virtserialport,bus=virtio-serial0.0,chardev=channel0,name=com.redhat.rhevm.
> vdsm,id=port1 ...
> 
> 2.Transfer data from guest to host
> HOst:
> 
> for ((;;)); do python serial-host-receive.py /tmp/serial-socket; sleep 1;
> echo `date`>>a.out;done
> 
> Guest:
> 
> for %i in (0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19) do python
> VirtIoChannel_Guest_send.py com.redhat.rhevm.vdsm
> 
> 3.While transfer data from guest to host,do S3 in guest
> Sleep
> 
> Results:
> BSOD 
> 
> stop 0x0000003b 
> 
> Addtional info:
> 1) for BSOD see attachment
> 2 [details])dump file see attachment
> 3 [details])if transfer data from host to guest ,not hit the problem

Could you try your steps on virito-win-1.5.4?
we have a similar report on you may hit Bug 902150 .
Could you try your steps on Bug 902150
Comment 66 langfang 2013-01-24 07:32:48 EST

> > BSOD 
> > 
> > stop 0x0000003b 
> > 
> > Addtional info:
> > 1) for BSOD see attachment
> > 2 [details])dump file see attachment
> > 3 [details])if transfer data from host to guest ,not hit the problem
> 
> Could you try your steps on virito-win-1.5.4?
> we have a similar report on you may hit Bug 902150 .
> Could you try your steps on Bug 902150

Test with virtio-win-1.5.4 hit the same problem

The steps as same as Comment62


for bug 902150 , i am not hit the bug902150 problem.After do S4 while transfer data from guest to host,also can hit this bug problem(BSOD stop 0x0000003b )


Thanks
Comment 67 Gal Hammer 2013-01-27 03:57:40 EST
(In reply to comment #62)
> Hi ,seem i reproduce this bug ,not sure if the same problem

Thanks.

> Version:
> Host:
> [root@localhost windows_img]# uname -r
> 2.6.32-355.el6.x86_64
> [root@localhost windows_img]# rpm -q qemu-kvm
> qemu-kvm-0.12.1.2-2.352.el6.x86_64
> 
> Guest:
> win7-64
> virtio-win-prewhql.0.1

What is the driver's build number?
 
> steps:
> 1.boot guest with 
> ... -device
> virtio-serial-pci,id=virtio-serial0,max_ports=16,bus=pci.0,addr=0x7 -chardev
> socket,id=channel0,path=/tmp/serial-socket,server,nowait -device
> virtserialport,bus=virtio-serial0.0,chardev=channel0,name=com.redhat.rhevm.
> vdsm,id=port1 ...

What is the full command line?
 
> 2.Transfer data from guest to host
> HOst:
> 
> for ((;;)); do python serial-host-receive.py /tmp/serial-socket; sleep 1;
> echo `date`>>a.out;done
> 
> Guest:
> 
> for %i in (0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19) do python
> VirtIoChannel_Guest_send.py com.redhat.rhevm.vdsm
> 
> 3.While transfer data from guest to host,do S3 in guest
> Sleep
> 
> Results:
> BSOD 
> 
> stop 0x0000003b 
> 
> Addtional info:
> 1) for BSOD see attachment
> 2 [details])dump file see attachment
> 3 [details])if transfer data from host to guest ,not hit the problem

Can you please attach the memory dump file?
Comment 68 langfang 2013-01-28 05:46:10 EST
> 
> What is the driver's build number?
virtio-win-prewhql-0.1-49


> 
> What is the full command line?

/usr/libexec/qemu-kvm -M rhel6.4.0 -enable-kvm -m 4096 -smp 2,sockets=2,cores=1,threads=1 -name win7-64 -uuid `uuidgen` -nodefconfig -nodefaults -monitor stdio -rtc base=utc  -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2  -drive file=/home/win7-64-virtio.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1  -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device e1000,netdev=hostnet0,id=net0,mac=52:54:00:d5:51:8a,bus=pci.0,addr=0x3  -device usb-tablet,id=input0 -spice port=5900,addr=0.0.0.0,disable-ticketing,seamless-migration=on -vga qxl -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6 -device virtio-serial-pci,id=virtio-serial0,max_ports=16,bus=pci.0,addr=0x7 -chardev socket,id=channel0,path=/tmp/serial-socket,server,nowait -device virtserialport,bus=virtio-serial0.0,chardev=channel0,name=com.redhat.rhevm.vdsm,id=port1 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0

> 
> Can you please attach the memory dump file?

see attachment
Comment 69 langfang 2013-01-28 06:03:19 EST
> 
> Can you please attach the memory dump file?

Hi,Gal
  The dump file  too big ,please download from:

http://10.66.7.110/repo/--->Memory.dmp



thanks
Comment 70 Yan Vugenfirer 2013-01-28 06:41:56 EST
Please always zip dump files when putting then in some remote network location.

Thanks,
Yan.
Comment 71 Gal Hammer 2013-01-28 08:19:59 EST
(In reply to comment #69)
> > 
> > Can you please attach the memory dump file?
> 
> Hi,Gal
>   The dump file  too big ,please download from:
> 
> http://10.66.7.110/repo/--->Memory.dmp
> 
> 
> 
> thanks

Thanks. I've downloaded it.

Are you sure this is a crash dump of a windows 7/64 vm with virtio-win-prewhql-0.1- 49 drivers? I can't match the debugging symbols.
Comment 72 langfang 2013-01-28 21:36:17 EST


> 
> Are you sure this is a crash dump of a windows 7/64 vm with
> virtio-win-prewhql-0.1- 49 drivers? I can't match the debugging symbols.

Hi Gal 

  I think it is my fault ,please ignore Comment68 and Comment69,


> 
> What is the driver's build number?
virtio-win-prewhql-0.1-49

> 
> What is the full command line?

/usr/libexec/qemu-kvm -M rhel6.4.0 -enable-kvm -m 4096 -smp 2,sockets=2,cores=1,threads=1 -name win7-64 -uuid `uuidgen` -nodefconfig -nodefaults -monitor stdio -rtc base=utc  -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2  -drive file=/home/win7-64-virtio.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none -device ide-drive,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1  -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device e1000,netdev=hostnet0,id=net0,mac=52:54:00:d5:51:8a,bus=pci.0,addr=0x3  -device usb-tablet,id=input0 -spice port=5900,addr=0.0.0.0,disable-ticketing,seamless-migration=on -vga qxl -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6 -device virtio-serial-pci,id=virtio-serial0,max_ports=16,bus=pci.0,addr=0x7 -chardev socket,id=channel0,path=/tmp/serial-socket,server,nowait -device virtserialport,bus=virtio-serial0.0,chardev=channel0,name=com.redhat.rhevm.vdsm,id=port1 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0

> Can you please attach the memory dump file?

see attachment about  BSOD and dump file.


best regards 
fang lang
Comment 73 langfang 2013-01-28 21:39:24 EST
Created attachment 689500 [details]
BSOD Screenshot
Comment 74 langfang 2013-01-28 21:44:33 EST
Created attachment 689501 [details]
the dump file for BSOD
Comment 75 Gal Hammer 2013-01-29 05:34:00 EST
The call stack of the new memory dump looks like bug 882795.

Can you please try to reproduce with build 51? Thanks.
Comment 76 langfang 2013-01-30 03:23:10 EST
(In reply to comment #75)
> The call stack of the new memory dump looks like bug 882795.
> 
> Can you please try to reproduce with build 51? Thanks.

Hi ,Gal
  After i change to build 51,this problem disappear. Not hit BSOD


best regards
fang lang
Comment 77 Mike Cao 2013-01-31 05:28:30 EST
FYI .I ship the virtio-win-prewhql-49 serial driver to bug reporter Grant.
Grant said build49 works fine to him.
Comment 78 Chao Yang 2013-02-01 04:37:12 EST
I have reproduced this BSOD in my rhevm with virtio-win-1.6.1-2.el6.noarch.
This BSOD win7 64bit guest has:
1. RHEV Spice Agent running
2. Symantec Endpoint Protection Manager running 
3. iozone stress on attached disk
4. CPU_burn-in running
It BSOD after running serveral hours. Snapshot will be attached.
Comment 79 Chao Yang 2013-02-01 04:39:16 EST
Created attachment 691483 [details]
BSOD on vioser.sys
Comment 80 Gal Hammer 2013-02-03 03:00:18 EST
(In reply to comment #79)

Can you please try to reproduce with virtio-win-prewhql-51? AFAIK virtio-win-1.6.1-2 is based on build-49.

> Created attachment 691483 [details]
> BSOD on vioser.sys

Can you please attach or send the relevant memory dump file?
Comment 81 Qian Guo 2013-02-05 05:52:07 EST
Created attachment 693311 [details]
dump file of BSOD WIN7 of chayang
Comment 82 Qian Guo 2013-02-05 05:53:08 EST
(In reply to comment #80)
> (In reply to comment #79)
> 
> Can you please try to reproduce with virtio-win-prewhql-51? AFAIK
> virtio-win-1.6.1-2 is based on build-49.
> 
> > Created attachment 691483 [details]
> > BSOD on vioser.sys
> 
> Can you please attach or send the relevant memory dump file?
the dump file is attached
Comment 83 Mike Cao 2013-02-05 05:56:14 EST
Qian Guo

Could you retest this case with virtio-win-prewhql-53 (serial driver under Wxp for 32 bit ,Wnet for 64 bit)?
Comment 84 Qian Guo 2013-02-06 21:25:08 EST
(In reply to comment #83)
> Qian Guo
> 
> Could you retest this case with virtio-win-prewhql-53 (serial driver under
> Wxp for 32 bit ,Wnet for 64 bit)?
Ok, I will update here after my test.
Comment 85 Qian Guo 2013-02-07 02:26:54 EST
(In reply to comment #78)
> I have reproduced this BSOD in my rhevm with virtio-win-1.6.1-2.el6.noarch.
> This BSOD win7 64bit guest has:
> 1. RHEV Spice Agent running
> 2. Symantec Endpoint Protection Manager running 
> 3. iozone stress on attached disk
> 4. CPU_burn-in running
> It BSOD after running serveral hours. Snapshot will be attached.

In this rhevm, found same BSOD info w/ virtio-win-1.6.1-2.el6.noarch.

This BSOD win7 64bit guest are rebooting repeatedly, and got the same snapshot as comment #79.
Comment 86 Qian Guo 2013-02-07 02:27:34 EST
(In reply to comment #83)
> Qian Guo
> 
> Could you retest this case with virtio-win-prewhql-53 (serial driver under
> Wxp for 32 bit ,Wnet for 64 bit)?

test as comment #78, same env, but w/ virtio-win-prewhql-53,

4 hours later, not hit these problem;

Then reboot for 10 times, not reproduce this bug.
Comment 87 Qian Guo 2013-02-17 21:45:42 EST
(In reply to comment #86)
> (In reply to comment #83)
> > Qian Guo
> > 
> > Could you retest this case with virtio-win-prewhql-53 (serial driver under
> > Wxp for 32 bit ,Wnet for 64 bit)?
> 
> test as comment #78, same env, but w/ virtio-win-prewhql-53,
> 
> 4 hours later, not hit these problem;
> 
> Then reboot for 10 times, not reproduce this bug.

configured this win7 guest to reboot repeatedly  for 3 days, not hit BSOD, so it is fixed by virtio-win-prewhql-53.
Comment 93 Mike Cao 2013-04-11 04:03:36 EDT
According to Comment #92 ,Close this issue